For the complete documentation index, see llms.txt. This page is also available as Markdown.

Context

Endpoints for managing contexts

Get all JSON-LD context files for a specific wallet

get

This endpoint retrieves all JSON-LD context files for the authenticated wallet.

Authorizations
x-api-keystringRequired
Responses
200

A list of JSON-LD context files for the wallet

application/json
object[]Optional
get/api/v1/context
GET /api/v1/context HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "context_file_id": "test.json",
    "file": {
      "@context": {
        "GenericCredential": {
          "@id": "https://example.com/indicio#GenericCredential",
          "@context": {
            "name": "http://schema.org/name",
            "familyName": "http://schema.org/familyName",
            "givenName": "http://schema.org/givenName",
            "identifier": "https://example.com/indicio#identifier",
            "date": {
              "@id": "http://schema.org/date",
              "@type": "http://www.w3.org/2001/XMLSchema#date"
            },
            "description": "http://schema.org/description"
          }
        }
      }
    },
    "wallet_id": "e3356f7c-37a2-4e38-a9fc-ba2288dc04a2",
    "created_at": "2025-07-10T03:11:52.623Z",
    "updated_at": "2025-07-10T03:11:52.623Z"
  }
]

Save a JSON-LD context file for a specific wallet

post

This endpoint saves a JSON-LD context file for a specific wallet.

Authorizations
x-api-keystringRequired
Body
context_file_idstringOptional

The filename of the JSON-LD context file to save.

Example: test.json
Responses
200

Context saved successfully

application/json
post/api/v1/context
POST /api/v1/context HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 448

{
  "context_file_id": "test.json",
  "file": {
    "@context": {
      "GenericCredential": {
        "@id": "https://example.com/indicio#GenericCredential",
        "@context": {
          "name": "http://schema.org/name",
          "familyName": "http://schema.org/familyName",
          "givenName": "http://schema.org/givenName",
          "identifier": "https://example.com/indicio#identifier",
          "date": {
            "@id": "http://schema.org/date",
            "@type": "http://www.w3.org/2001/XMLSchema#date"
          },
          "description": "http://schema.org/description"
        }
      }
    }
  }
}
{
  "id": 1,
  "context_file_id": "test.json",
  "file": {
    "@context": {
      "GenericCredential": {
        "@id": "https://example.com/indicio#GenericCredential",
        "@context": {
          "name": "http://schema.org/name",
          "familyName": "http://schema.org/familyName",
          "givenName": "http://schema.org/givenName",
          "identifier": "https://example.com/indicio#identifier",
          "date": {
            "@id": "http://schema.org/date",
            "@type": "http://www.w3.org/2001/XMLSchema#date"
          },
          "description": "http://schema.org/description"
        }
      }
    }
  },
  "wallet_id": "e3356f7c-37a2-4e38-a9fc-ba2288dc04a2",
  "created_at": "2025-07-10T03:11:52.623Z",
  "updated_at": "2025-07-10T03:11:52.623Z"
}

Get a JSON-LD context file by ID for a specific wallet

get

This endpoint retrieves a JSON-LD context file by its ID for the authenticated wallet.

Authorizations
x-api-keystringRequired
Path parameters
context_file_idstringRequired

The ID of the JSON-LD context file to retrieve.

Responses
200

JSON-LD context file retrieved successfully

application/json
objectOptional
get/api/v1/context/{context_file_id}
GET /api/v1/context/{context_file_id} HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
  "id": 1,
  "context_file_id": "test.json",
  "file": {
    "@context": {
      "GenericCredential": {
        "@id": "https://example.com/indicio#GenericCredential",
        "@context": {
          "name": "http://schema.org/name",
          "familyName": "http://schema.org/familyName",
          "givenName": "http://schema.org/givenName",
          "identifier": "https://example.com/indicio#identifier",
          "date": {
            "@id": "http://schema.org/date",
            "@type": "http://www.w3.org/2001/XMLSchema#date"
          },
          "description": "http://schema.org/description"
        }
      }
    }
  },
  "wallet_id": "e3356f7c-37a2-4e38-a9fc-ba2288dc04a2",
  "created_at": "2025-07-10T03:11:52.623Z",
  "updated_at": "2025-07-10T03:11:52.623Z"
}

Get all JSON-LD context files from all wallets

get

This endpoint retrieves all JSON-LD context files from all wallets (static route).

Authorizations
x-api-keystringRequired
Responses
200

A list of all JSON-LD context files

application/json
object[]Optional
get/context
GET /context HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "context_file_id": "test.json",
    "file": {
      "@context": {
        "GenericCredential": {
          "@id": "https://example.com/indicio#GenericCredential",
          "@context": {
            "name": "http://schema.org/name",
            "familyName": "http://schema.org/familyName",
            "givenName": "http://schema.org/givenName",
            "identifier": "https://example.com/indicio#identifier",
            "date": {
              "@id": "http://schema.org/date",
              "@type": "http://www.w3.org/2001/XMLSchema#date"
            },
            "description": "http://schema.org/description"
          }
        }
      }
    },
    "wallet_id": "e3356f7c-37a2-4e38-a9fc-ba2288dc04a2",
    "created_at": "2025-07-10T03:11:52.623Z",
    "updated_at": "2025-07-10T03:11:52.623Z"
  }
]

Last updated